#!/bin/bash

poke=$HOME/hail/tests/poke6

#host=s3.amazonaws.com
#keyfile=$HOME/hail/keys/dot.aws-1

host=kvm-rei.zaitcev.lan
keyfile=$HOME/hail/tests/dot.aws-swift

# val file key => echo val
# This is the format used by s3cmd, so use the same file.
val () {
  cat $1 |(while read k eq v; do if [ $k = $2 ]; then echo $v; fi; done)
}

# -n    <-- when named has   *.kvm-rei CNAME kvm-rei
# -v
# -b test-1235163301
echo "== List buckets"
$poke -n -h $host -u $(val $keyfile id) -p $(val $keyfile secret) -l
echo "== List bucket test-1235163301"
$poke -n -h $host -u $(val $keyfile id) -p $(val $keyfile secret) -b test-1235163301 -l
